/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/


#include <cstdio>	/* required by *printf functions and file I/O */

namespace DEVIL {

	extern char  devil_file_new_name[11];		// DEVIL file new name (when renaming) in the standard 10 chars
	extern unsigned short devil_file_new_addr;	// code loading address when creating header for headerless .TAP file block

}


void CreateHeader::init() {
	lineEdit1->setText("XXXXXXXXXX");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/2);
	lineEdit1->clear();
}


void CreateHeader::acceptHeader() {
	if (lineEdit2->text().toInt() > 65535) {textLabel2->setPaletteForegroundColor(QColor(255,0,0)); return;} else {
		sprintf(DEVIL::devil_file_new_name, "%-10s", lineEdit1->text().ascii());
		DEVIL::devil_file_new_addr = lineEdit2->text().toInt();
		accept();
	}
}


void CreateHeader::rejectHeader() {
	sprintf(DEVIL::devil_file_new_name, "");
	DEVIL::devil_file_new_addr = 0;
	reject();
}
