/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

#include <qregexp.h>
#include <qvalidator.h> 

namespace DEVIL {

	extern unsigned char devil_tap_block_flag;

}


void FlagByteDialog::init() {
	lineEdit1->setText("AA");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/5);
	lineEdit1->clear();
	QRegExp rx("^[0-9A-F]{1,2}$");			// only allow typing hex digits
	lineEdit1->setValidator(new QRegExpValidator(rx, lineEdit1));
}


void FlagByteDialog::acceptFlag() {
	sscanf(lineEdit1->text().ascii(), "%2hhX", &DEVIL::devil_tap_block_flag);
	accept();
}


void FlagByteDialog::rejectFlag() {
	reject();
}
