#!/bin/sh

# Commands used to generate the hexdump:

size1=$(stat -c%s ../doc/help.html)
let "size1 = size1 + 1"			# increase size by 1 to add an ending NULL character so the whole
					# binary array can be used as a C string (char*)
echo -e "unsigned int HELP_HTML_LEN = $size1;\n\n\
const unsigned char help_html[] = {" > help_html.h
cat ../doc/help.html | xxd -i - >> help_html.h
echo -e ", 0x00\n};" >> help_html.h	# add the ending NULL character

for i in ../doc/help_files/*.png; do
	a=$(basename $i)
	a=$(echo "$a" | sed 's/\./_/')
	b=$(echo "$a" | tr [a-z] [A-Z])
	b=${b}_LEN
	echo -e "unsigned int $b = $(stat -c%s $i);\n\n\
const unsigned char ${a}[] = {" > ${a}.h
	cat $i | xxd -i - >> ${a}.h
	echo "};" >> ${a}.h
done
