/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/


#include <cstdio>	/* required by *printf functions and file I/O */

namespace DEVIL {

	extern char  devil_file_new_name[11];	// DEVIL file new name (when renaming) in the standard 10 chars

}


void RenameDialog::init() {
	lineEdit1->setText("XXXXXXXXXX");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/2);
	lineEdit1->clear();
}


void RenameDialog::acceptNewName() {
	sprintf(DEVIL::devil_file_new_name, "%-10s", lineEdit1->text().ascii());
	accept();
}


void RenameDialog::rejectNewName() {
	sprintf(DEVIL::devil_file_new_name, "");
	reject();
}
