/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/


#include <cstdio>	/* required by *printf functions and file I/O */

namespace DEVIL {

	extern bool  save_file_name_allocated;
	extern char* save_file_name;
	extern unsigned int dotcount (const char* string);

}


void SaveNameDialog::init() {
	lineEdit1->setText("XXXXXXXXXXXXXXXXXXXX");
	lineEdit1->setMinimumSize(lineEdit1->sizeHint()/2);
	lineEdit1->clear();
}


void SaveNameDialog::acceptNewName() {
	if ((lineEdit1->text().find('\\') > -1) ||
	    (lineEdit1->text().find('/') > -1) ||
	    (lineEdit1->text().find('*') > -1) ||
	    (lineEdit1->text().find('.') > -1) ||
	    (lineEdit1->text().find('?') > -1) ||
	    (lineEdit1->text().find('"') > -1) ) {textLabel2->setPaletteForegroundColor(QColor(255,0,0)); return;}

	// the extension is added later so for now we just use contents of lineEdit1.
	// next we allocate DEVIL::save_file_name which next will have to be cleared in calling slot of MainWindow
	if (DEVIL::save_file_name_allocated) {free(DEVIL::save_file_name);} DEVIL::save_file_name_allocated=true;
	DEVIL::save_file_name = (char*)malloc((lineEdit1->text().length()+1)*sizeof(char));

	sprintf(DEVIL::save_file_name, "%s", lineEdit1->text().ascii());
	accept();
}


void SaveNameDialog::rejectNewName() {
	if (DEVIL::save_file_name_allocated) {free(DEVIL::save_file_name); DEVIL::save_file_name_allocated=false;}
	reject();
}
