#!/bin/sh

./cleanup.sh

if [ "$1" == "embed" ]; then
	sed -i -e "s/help_files\///g" doc/help.html
	sed -i -e "s/namespace DEVIL {/#define EMBEDDED_HELP\n\nnamespace DEVIL {/" HelpWindow/HelpWindow.ui.h

	cd HelpFiles
	./generate.sh
	cd ..
fi

# Depending on where you have your static Qt3 built, you might need to replace "/usr/local/Qt3.3.8-static" with its install path
if [ "$2" == "static" ]; then
	export PATH=/usr/local/Qt3.3.8-static/bin:$PATH
	export QTDIR=/usr/local/Qt3.3.8-static
fi

execname="$(basename $(pwd))"
qmake "${execname}.pro"
make

exit 0

