#!/bin/sh

sed -i -e '/^#define EMBEDDED_HELP/ {N; /\n$/d}' HelpWindow/HelpWindow.ui.h

if [ -z "$(grep 'help_files/' doc/help.html)" ]; then
	sed -i -e "s/<img src=\"/<img src=\"help_files\//g" doc/help.html
fi

cd HelpFiles
rm -fv *.h
cd ..

execname="$(basename $(pwd))"
rm -rfv .moc .obj .ui
rm -fv "$execname"
rm -fv Makefile

exit 0

