/****************************************************************************
** ui.h extension file, included from the uic-generated form implementation.
**
** If you want to add, delete, or rename functions or slots, use
** Qt Designer to update this file, preserving your code.
**
** You should not define a constructor or destructor in this file.
** Instead, write your code in functions called init() and destroy().
** These will automatically be called by the form's constructor and
** destructor.
*****************************************************************************/

namespace DEVIL {

	extern char exe_full_path[FILENAME_MAX];
	extern bool hlp_open;

}

#include <qapplication.h>
#include <libgen.h>	/* required by dirname and basename */
#include <qlayout.h>

#ifdef EMBEDDED_HELP
// ############################################ USE ALL THIS ONLY IF EMBEDDING HELP IN THE EXECUTABLE #################################################
#include "HelpFiles/help_html.h"				/* the "help.html" file stored as binary data */
// -------------------------------------------- next we have 83 images in total -----------------------------------------------------------------------
#include "HelpFiles/attr_command_png.h"				/* the "attr_command.png" file stored as binary data */
#include "HelpFiles/defragment_command_png.h"			/* the "defragment_command.png" file stored as binary data */
#include "HelpFiles/deint_command_png.h"			/* the "deint_command.png" file stored as binary data */
#include "HelpFiles/delete_command_png.h"			/* the "delete_command.png" file stored as binary data */
#include "HelpFiles/extract_command_png.h"			/* the "extract_command.png" file stored as binary data */
#include "HelpFiles/int_command_png.h"				/* the "int_command.png" file stored as binary data */
#include "HelpFiles/list_command_png.h"				/* the "list_command.png" file stored as binary data */

#include "HelpFiles/tap_list_arrays_png.h"			/* the "tap_list_arrays.png" file stored as binary data */
#include "HelpFiles/tap_list_command_png.h"			/* the "tap_list_command.png" file stored as binary data */
#include "HelpFiles/verbose_attr_command_png.h"			/* the "verbose_attr_command.png" file stored as binary data */
#include "HelpFiles/verbose_defragment_command_png.h"		/* the "verbose_defragment_command.png" file stored as binary data */
#include "HelpFiles/verbose_deint_command_png.h"		/* the "verbose_deint_command.png" file stored as binary data */
#include "HelpFiles/verbose_delete_command_png.h"		/* the "verbose_delete_command.png" file stored as binary data */
#include "HelpFiles/verbose_extract_command_png.h"		/* the "verbose_extract_command.png" file stored as binary data */
#include "HelpFiles/verbose_int_command_png.h"			/* the "verbose_int_command.png" file stored as binary data */
#include "HelpFiles/verbose_tap_list_command_png.h"		/* the "verbose_tap_list_command.png" file stored as binary data */
#include "HelpFiles/verbose_write_command_png.h"		/* the "verbose_write_command.png" file stored as binary data */
#include "HelpFiles/write_command_png.h"			/* the "write_command.png" file stored as binary data */

#include "HelpFiles/snapshot01_png.h"
#include "HelpFiles/snapshot02_png.h"
#include "HelpFiles/snapshot03_png.h"
#include "HelpFiles/snapshot04_png.h"
#include "HelpFiles/snapshot05_png.h"
#include "HelpFiles/snapshot06_png.h"
#include "HelpFiles/snapshot07_png.h"
#include "HelpFiles/snapshot08_png.h"
#include "HelpFiles/snapshot09_png.h"
#include "HelpFiles/snapshot10_png.h"

#include "HelpFiles/snapshot11_png.h"
#include "HelpFiles/snapshot12_png.h"
#include "HelpFiles/snapshot13_png.h"
#include "HelpFiles/snapshot14_png.h"
#include "HelpFiles/snapshot15_png.h"
#include "HelpFiles/snapshot16_png.h"
#include "HelpFiles/snapshot17_png.h"
#include "HelpFiles/snapshot18_png.h"
#include "HelpFiles/snapshot19_png.h"
#include "HelpFiles/snapshot20_png.h"

#include "HelpFiles/snapshot21_png.h"
#include "HelpFiles/snapshot22_png.h"
#include "HelpFiles/snapshot23_png.h"
#include "HelpFiles/snapshot24_png.h"
#include "HelpFiles/snapshot25_png.h"
#include "HelpFiles/snapshot26_png.h"
#include "HelpFiles/snapshot27_png.h"
#include "HelpFiles/snapshot28_png.h"
#include "HelpFiles/snapshot29_png.h"
#include "HelpFiles/snapshot30_png.h"

#include "HelpFiles/snapshot31_png.h"
#include "HelpFiles/snapshot32_png.h"
#include "HelpFiles/snapshot33_png.h"
#include "HelpFiles/snapshot34_png.h"
#include "HelpFiles/snapshot35_png.h"
#include "HelpFiles/snapshot36_png.h"
#include "HelpFiles/snapshot37_png.h"
#include "HelpFiles/snapshot38_png.h"

#include "HelpFiles/snapshot40_png.h"

#include "HelpFiles/snapshot41_png.h"
#include "HelpFiles/snapshot42_png.h"
#include "HelpFiles/snapshot43_png.h"
#include "HelpFiles/snapshot44_png.h"
#include "HelpFiles/snapshot45_png.h"
#include "HelpFiles/snapshot46_png.h"
#include "HelpFiles/snapshot47_png.h"
#include "HelpFiles/snapshot48_png.h"
#include "HelpFiles/snapshot49_png.h"
#include "HelpFiles/snapshot50_png.h"

#include "HelpFiles/snapshot51_png.h"
#include "HelpFiles/snapshot52_png.h"
#include "HelpFiles/snapshot53_png.h"
#include "HelpFiles/snapshot54_png.h"
#include "HelpFiles/snapshot55_png.h"
#include "HelpFiles/snapshot56_png.h"
#include "HelpFiles/snapshot57_png.h"
#include "HelpFiles/snapshot58_png.h"
#include "HelpFiles/snapshot59_png.h"
#include "HelpFiles/snapshot60_png.h"

#include "HelpFiles/snapshot61_png.h"
#include "HelpFiles/snapshot62_png.h"
#include "HelpFiles/snapshot63_png.h"
#include "HelpFiles/snapshot64_png.h"
#include "HelpFiles/snapshot65_png.h"
#include "HelpFiles/snapshot66_png.h"
// ----------------------------------------------------------------------------------------------------------------------------------------------------

QByteArray img01;
QByteArray img02;
QByteArray img03;
QByteArray img04;
QByteArray img05;
QByteArray img06;
QByteArray img07;
QByteArray img08;
QByteArray img09;
QByteArray img10;
QByteArray img11;
QByteArray img12;
QByteArray img13;
QByteArray img14;
QByteArray img15;
QByteArray img16;
QByteArray img17;
QByteArray img18;
QByteArray img19;
QByteArray img20;
QByteArray img21;
QByteArray img22;
QByteArray img23;
QByteArray img24;
QByteArray img25;
QByteArray img26;
QByteArray img27;
QByteArray img28;
QByteArray img29;
QByteArray img30;
QByteArray img31;
QByteArray img32;
QByteArray img33;
QByteArray img34;
QByteArray img35;
QByteArray img36;
QByteArray img37;
QByteArray img38;
QByteArray img39;
QByteArray img40;
QByteArray img41;
QByteArray img42;
QByteArray img43;
QByteArray img44;
QByteArray img45;
QByteArray img46;
QByteArray img47;
QByteArray img48;
QByteArray img49;
QByteArray img50;
QByteArray img51;
QByteArray img52;
QByteArray img53;
QByteArray img54;
QByteArray img55;
QByteArray img56;
QByteArray img57;
QByteArray img58;
QByteArray img59;
QByteArray img60;
QByteArray img61;
QByteArray img62;
QByteArray img63;
QByteArray img64;
QByteArray img65;
QByteArray img66;
QByteArray img67;
QByteArray img68;
QByteArray img69;
QByteArray img70;
QByteArray img71;
QByteArray img72;
QByteArray img73;
QByteArray img74;
QByteArray img75;
QByteArray img76;
QByteArray img77;
QByteArray img78;
QByteArray img79;
QByteArray img80;
QByteArray img81;
QByteArray img82;
QByteArray img83;

// ##########################################################################################################################################################
#endif

void HelpWindow::init() {

	char ex_full_path[FILENAME_MAX];	// backup copy for DEVIL::exe_full_path, so dirname() doesn't corrupt it
	strcpy(ex_full_path, DEVIL::exe_full_path);

//	this->setMinimumWidth (1000);
	textBrowser1->setMinimumSize (1000, 600);
//	this->setMaximumWidth (1350);		// better leave the window size unlimited, help info too wide
//	this->layout()->setResizeMode( QLayout::Fixed );

// ############################################ USE THIS LINE ONLY IF NOT EMBEDDING HELP IN THE EXECUTABLE ##################################################
// ################################### and, if you do, make sure "help_files/" is deleted from image paths in the html ######################################
    /*  textBrowser1->setSource( QString("%1%2").arg(dirname(qApp->argv()[0]),"/help.html") );		// replaced (executable dir path not figured if launched with "./exec_name") */
#ifndef EMBEDDED_HELP
	textBrowser1->setSource( QString("%1%2").arg(QString(dirname(ex_full_path)),"/doc/help.html") );	// use this for separate help files
#endif
    /*  textBrowser1->setText( QString("%1").arg(dirname(qApp->argv()[0])) );				// TEST - just checking the full path of current dir */
// ##########################################################################################################################################################

#ifdef EMBEDDED_HELP
// ############################################ USE THIS ONLY IF EMBEDDING HELP IN THE EXECUTABLE ###########################################################
	img01.setRawData ( (char*)attr_command_png, ATTR_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "attr_command.png", QImage( img01 ) );

	img02.setRawData ( (char*)defragment_command_png, DEFRAGMENT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "defragment_command.png", QImage( img02 ) );

	img03.setRawData ( (char*)deint_command_png, DEINT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "deint_command.png", QImage( img03 ) );

	img04.setRawData ( (char*)delete_command_png, DELETE_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "delete_command.png", QImage( img04 ) );

	img05.setRawData ( (char*)extract_command_png, EXTRACT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "extract_command.png", QImage( img05 ) );

	img06.setRawData ( (char*)int_command_png, INT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "int_command.png", QImage( img06 ) );

	img07.setRawData ( (char*)list_command_png, LIST_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "list_command.png", QImage( img07 ) );

	img08.setRawData ( (char*)tap_list_arrays_png, TAP_LIST_ARRAYS_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "tap_list_arrays.png", QImage( img08 ) );

	img09.setRawData ( (char*)tap_list_command_png, TAP_LIST_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "tap_list_command.png", QImage( img09 ) );

	img10.setRawData ( (char*)verbose_attr_command_png, VERBOSE_ATTR_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_attr_command.png", QImage( img10 ) );

	img11.setRawData ( (char*)verbose_defragment_command_png, VERBOSE_DEFRAGMENT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_defragment_command.png", QImage( img11 ) );

	img12.setRawData ( (char*)verbose_deint_command_png, VERBOSE_DEINT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_deint_command.png", QImage( img12 ) );

	img13.setRawData ( (char*)verbose_delete_command_png, VERBOSE_DELETE_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_delete_command.png", QImage( img13 ) );

	img14.setRawData ( (char*)verbose_extract_command_png, VERBOSE_EXTRACT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_extract_command.png", QImage( img14 ) );

	img15.setRawData ( (char*)verbose_int_command_png, VERBOSE_INT_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_int_command.png", QImage( img15 ) );

	img16.setRawData ( (char*)verbose_tap_list_command_png, VERBOSE_TAP_LIST_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_tap_list_command.png", QImage( img16 ) );

	img17.setRawData ( (char*)verbose_write_command_png, VERBOSE_WRITE_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "verbose_write_command.png", QImage( img17 ) );

	img18.setRawData ( (char*)write_command_png, WRITE_COMMAND_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "write_command.png", QImage( img18 ) );

	img19.setRawData ( (char*)snapshot01_png, SNAPSHOT01_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot01.png", QImage( img19 ) );

	img20.setRawData ( (char*)snapshot02_png, SNAPSHOT02_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot02.png", QImage( img20 ) );

	img21.setRawData ( (char*)snapshot03_png, SNAPSHOT03_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot03.png", QImage( img21 ) );

	img22.setRawData ( (char*)snapshot04_png, SNAPSHOT04_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot04.png", QImage( img22 ) );

	img23.setRawData ( (char*)snapshot05_png, SNAPSHOT05_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot05.png", QImage( img23 ) );

	img24.setRawData ( (char*)snapshot06_png, SNAPSHOT06_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot06.png", QImage( img24 ) );

	img25.setRawData ( (char*)snapshot07_png, SNAPSHOT07_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot07.png", QImage( img25 ) );

	img26.setRawData ( (char*)snapshot08_png, SNAPSHOT08_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot08.png", QImage( img26 ) );

	img27.setRawData ( (char*)snapshot09_png, SNAPSHOT09_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot09.png", QImage( img27 ) );

	img28.setRawData ( (char*)snapshot10_png, SNAPSHOT10_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot10.png", QImage( img28 ) );

	img29.setRawData ( (char*)snapshot11_png, SNAPSHOT11_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot11.png", QImage( img29 ) );

	img30.setRawData ( (char*)snapshot12_png, SNAPSHOT12_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot12.png", QImage( img30 ) );

	img31.setRawData ( (char*)snapshot13_png, SNAPSHOT13_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot13.png", QImage( img31 ) );

	img32.setRawData ( (char*)snapshot14_png, SNAPSHOT14_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot14.png", QImage( img32 ) );

	img33.setRawData ( (char*)snapshot15_png, SNAPSHOT15_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot15.png", QImage( img33 ) );

	img34.setRawData ( (char*)snapshot16_png, SNAPSHOT16_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot16.png", QImage( img34 ) );

	img35.setRawData ( (char*)snapshot17_png, SNAPSHOT17_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot17.png", QImage( img35 ) );

	img36.setRawData ( (char*)snapshot18_png, SNAPSHOT18_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot18.png", QImage( img36 ) );

	img37.setRawData ( (char*)snapshot19_png, SNAPSHOT19_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot19.png", QImage( img37 ) );

	img38.setRawData ( (char*)snapshot20_png, SNAPSHOT20_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot20.png", QImage( img38 ) );

	img39.setRawData ( (char*)snapshot21_png, SNAPSHOT21_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot21.png", QImage( img39 ) );

	img40.setRawData ( (char*)snapshot22_png, SNAPSHOT22_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot22.png", QImage( img40 ) );

	img41.setRawData ( (char*)snapshot23_png, SNAPSHOT23_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot23.png", QImage( img41 ) );

	img42.setRawData ( (char*)snapshot24_png, SNAPSHOT24_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot24.png", QImage( img42 ) );

	img43.setRawData ( (char*)snapshot25_png, SNAPSHOT25_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot25.png", QImage( img43 ) );

	img44.setRawData ( (char*)snapshot26_png, SNAPSHOT26_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot26.png", QImage( img44 ) );

	img45.setRawData ( (char*)snapshot27_png, SNAPSHOT27_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot27.png", QImage( img45 ) );

	img46.setRawData ( (char*)snapshot28_png, SNAPSHOT28_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot28.png", QImage( img46 ) );

	img47.setRawData ( (char*)snapshot29_png, SNAPSHOT29_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot29.png", QImage( img47 ) );

	img48.setRawData ( (char*)snapshot30_png, SNAPSHOT30_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot30.png", QImage( img48 ) );

	img49.setRawData ( (char*)snapshot31_png, SNAPSHOT31_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot31.png", QImage( img49 ) );

	img50.setRawData ( (char*)snapshot32_png, SNAPSHOT32_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot32.png", QImage( img50 ) );

	img51.setRawData ( (char*)snapshot33_png, SNAPSHOT33_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot33.png", QImage( img51 ) );

	img52.setRawData ( (char*)snapshot34_png, SNAPSHOT34_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot34.png", QImage( img52 ) );

	img53.setRawData ( (char*)snapshot35_png, SNAPSHOT35_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot35.png", QImage( img53 ) );

	img54.setRawData ( (char*)snapshot36_png, SNAPSHOT36_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot36.png", QImage( img54 ) );

	img55.setRawData ( (char*)snapshot37_png, SNAPSHOT37_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot37.png", QImage( img55 ) );

	img56.setRawData ( (char*)snapshot38_png, SNAPSHOT38_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot38.png", QImage( img56 ) );

//	img57.setRawData ( (char*)snapshot39_png, SNAPSHOT39_PNG_LEN );
//	QMimeSourceFactory::defaultFactory()->setImage( "snapshot39.png", QImage( img57 ) );

	img57.setRawData ( (char*)snapshot40_png, SNAPSHOT40_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot40.png", QImage( img57 ) );

	img58.setRawData ( (char*)snapshot41_png, SNAPSHOT41_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot41.png", QImage( img58 ) );

	img59.setRawData ( (char*)snapshot42_png, SNAPSHOT42_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot42.png", QImage( img59 ) );

	img60.setRawData ( (char*)snapshot43_png, SNAPSHOT43_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot43.png", QImage( img60 ) );

	img61.setRawData ( (char*)snapshot44_png, SNAPSHOT44_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot44.png", QImage( img61 ) );

	img62.setRawData ( (char*)snapshot45_png, SNAPSHOT45_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot45.png", QImage( img62 ) );

	img63.setRawData ( (char*)snapshot46_png, SNAPSHOT46_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot46.png", QImage( img63 ) );

	img64.setRawData ( (char*)snapshot47_png, SNAPSHOT47_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot47.png", QImage( img64 ) );

	img65.setRawData ( (char*)snapshot48_png, SNAPSHOT48_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot48.png", QImage( img65 ) );

	img66.setRawData ( (char*)snapshot49_png, SNAPSHOT49_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot49.png", QImage( img66 ) );

	img67.setRawData ( (char*)snapshot50_png, SNAPSHOT50_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot50.png", QImage( img67 ) );

	img68.setRawData ( (char*)snapshot51_png, SNAPSHOT51_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot51.png", QImage( img68 ) );

	img69.setRawData ( (char*)snapshot52_png, SNAPSHOT52_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot52.png", QImage( img69 ) );

	img70.setRawData ( (char*)snapshot53_png, SNAPSHOT53_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot53.png", QImage( img70 ) );

	img71.setRawData ( (char*)snapshot54_png, SNAPSHOT54_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot54.png", QImage( img71 ) );

	img72.setRawData ( (char*)snapshot55_png, SNAPSHOT55_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot55.png", QImage( img72 ) );

	img73.setRawData ( (char*)snapshot56_png, SNAPSHOT56_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot56.png", QImage( img73 ) );

	img74.setRawData ( (char*)snapshot57_png, SNAPSHOT57_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot57.png", QImage( img74 ) );

	img75.setRawData ( (char*)snapshot58_png, SNAPSHOT58_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot58.png", QImage( img75 ) );

	img76.setRawData ( (char*)snapshot59_png, SNAPSHOT59_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot59.png", QImage( img76 ) );

	img77.setRawData ( (char*)snapshot60_png, SNAPSHOT60_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot60.png", QImage( img77 ) );

	img78.setRawData ( (char*)snapshot61_png, SNAPSHOT61_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot61.png", QImage( img78 ) );

	img79.setRawData ( (char*)snapshot62_png, SNAPSHOT62_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot62.png", QImage( img79 ) );

	img80.setRawData ( (char*)snapshot63_png, SNAPSHOT63_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot63.png", QImage( img80 ) );

	img81.setRawData ( (char*)snapshot64_png, SNAPSHOT64_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot64.png", QImage( img81 ) );

	img82.setRawData ( (char*)snapshot65_png, SNAPSHOT65_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot65.png", QImage( img82 ) );

	img83.setRawData ( (char*)snapshot66_png, SNAPSHOT66_PNG_LEN );
	QMimeSourceFactory::defaultFactory()->setImage( "snapshot66.png", QImage( img83 ) );


	QMimeSourceFactory::defaultFactory()->setText( "help.txt", QString((const char*)help_html) );	// for this to work, help_html[] must be increased by 1 in size ...
													// ... and a NULL (0x00) added at its end (done by generate.sh).
	textBrowser1->setSource( "help.txt" );		// using txt instead of html because MimeSourceFactory seems confused about html
// ##########################################################################################################################################################
#endif

}

void HelpWindow::destroy() {

#ifdef EMBEDDED_HELP
// ############################################ USE THIS ONLY IF EMBEDDING HELP IN THE EXECUTABLE ###########################################################
	img01.resetRawData ( (char*)attr_command_png,			ATTR_COMMAND_PNG_LEN );
	img02.resetRawData ( (char*)defragment_command_png,		DEFRAGMENT_COMMAND_PNG_LEN );
	img03.resetRawData ( (char*)deint_command_png,			DEINT_COMMAND_PNG_LEN );
	img04.resetRawData ( (char*)delete_command_png,			DELETE_COMMAND_PNG_LEN );
	img05.resetRawData ( (char*)extract_command_png,		EXTRACT_COMMAND_PNG_LEN );
	img06.resetRawData ( (char*)int_command_png,			INT_COMMAND_PNG_LEN );
	img07.resetRawData ( (char*)list_command_png,			LIST_COMMAND_PNG_LEN );

	img08.resetRawData ( (char*)tap_list_arrays_png,		TAP_LIST_ARRAYS_PNG_LEN );
	img09.resetRawData ( (char*)tap_list_command_png,		TAP_LIST_COMMAND_PNG_LEN );
	img10.resetRawData ( (char*)verbose_attr_command_png,		VERBOSE_ATTR_COMMAND_PNG_LEN );
	img11.resetRawData ( (char*)verbose_defragment_command_png,	VERBOSE_DEFRAGMENT_COMMAND_PNG_LEN );
	img12.resetRawData ( (char*)verbose_deint_command_png,		VERBOSE_DEINT_COMMAND_PNG_LEN );
	img13.resetRawData ( (char*)verbose_delete_command_png,		VERBOSE_DELETE_COMMAND_PNG_LEN );
	img14.resetRawData ( (char*)verbose_extract_command_png,	VERBOSE_EXTRACT_COMMAND_PNG_LEN );
	img15.resetRawData ( (char*)verbose_int_command_png,		VERBOSE_INT_COMMAND_PNG_LEN );
	img16.resetRawData ( (char*)verbose_tap_list_command_png,	VERBOSE_TAP_LIST_COMMAND_PNG_LEN );
	img17.resetRawData ( (char*)verbose_write_command_png,		VERBOSE_WRITE_COMMAND_PNG_LEN );
	img18.resetRawData ( (char*)write_command_png,			WRITE_COMMAND_PNG_LEN );

	img19.resetRawData ( (char*)snapshot01_png,			SNAPSHOT01_PNG_LEN );
	img20.resetRawData ( (char*)snapshot02_png,			SNAPSHOT02_PNG_LEN );
	img21.resetRawData ( (char*)snapshot03_png,			SNAPSHOT03_PNG_LEN );
	img22.resetRawData ( (char*)snapshot04_png,			SNAPSHOT04_PNG_LEN );
	img23.resetRawData ( (char*)snapshot05_png,			SNAPSHOT05_PNG_LEN );
	img24.resetRawData ( (char*)snapshot06_png,			SNAPSHOT06_PNG_LEN );
	img25.resetRawData ( (char*)snapshot07_png,			SNAPSHOT07_PNG_LEN );
	img26.resetRawData ( (char*)snapshot08_png,			SNAPSHOT08_PNG_LEN );
	img27.resetRawData ( (char*)snapshot09_png,			SNAPSHOT09_PNG_LEN );
	img28.resetRawData ( (char*)snapshot10_png,			SNAPSHOT10_PNG_LEN );

	img29.resetRawData ( (char*)snapshot11_png,			SNAPSHOT11_PNG_LEN );
	img30.resetRawData ( (char*)snapshot12_png,			SNAPSHOT12_PNG_LEN );
	img31.resetRawData ( (char*)snapshot13_png,			SNAPSHOT13_PNG_LEN );
	img32.resetRawData ( (char*)snapshot14_png,			SNAPSHOT14_PNG_LEN );
	img33.resetRawData ( (char*)snapshot15_png,			SNAPSHOT15_PNG_LEN );
	img34.resetRawData ( (char*)snapshot16_png,			SNAPSHOT16_PNG_LEN );
	img35.resetRawData ( (char*)snapshot17_png,			SNAPSHOT17_PNG_LEN );
	img36.resetRawData ( (char*)snapshot18_png,			SNAPSHOT18_PNG_LEN );
	img37.resetRawData ( (char*)snapshot19_png,			SNAPSHOT19_PNG_LEN );
	img38.resetRawData ( (char*)snapshot20_png,			SNAPSHOT20_PNG_LEN );

	img39.resetRawData ( (char*)snapshot21_png,			SNAPSHOT21_PNG_LEN );
	img40.resetRawData ( (char*)snapshot22_png,			SNAPSHOT22_PNG_LEN );
	img41.resetRawData ( (char*)snapshot23_png,			SNAPSHOT23_PNG_LEN );
	img42.resetRawData ( (char*)snapshot24_png,			SNAPSHOT24_PNG_LEN );
	img43.resetRawData ( (char*)snapshot25_png,			SNAPSHOT25_PNG_LEN );
	img44.resetRawData ( (char*)snapshot26_png,			SNAPSHOT26_PNG_LEN );
	img45.resetRawData ( (char*)snapshot27_png,			SNAPSHOT27_PNG_LEN );
	img46.resetRawData ( (char*)snapshot28_png,			SNAPSHOT28_PNG_LEN );
	img47.resetRawData ( (char*)snapshot29_png,			SNAPSHOT29_PNG_LEN );
	img48.resetRawData ( (char*)snapshot30_png,			SNAPSHOT30_PNG_LEN );

	img49.resetRawData ( (char*)snapshot31_png,			SNAPSHOT31_PNG_LEN );
	img50.resetRawData ( (char*)snapshot32_png,			SNAPSHOT32_PNG_LEN );
	img51.resetRawData ( (char*)snapshot33_png,			SNAPSHOT33_PNG_LEN );
	img52.resetRawData ( (char*)snapshot34_png,			SNAPSHOT34_PNG_LEN );
	img53.resetRawData ( (char*)snapshot35_png,			SNAPSHOT35_PNG_LEN );
	img54.resetRawData ( (char*)snapshot36_png,			SNAPSHOT36_PNG_LEN );
	img55.resetRawData ( (char*)snapshot37_png,			SNAPSHOT37_PNG_LEN );
	img56.resetRawData ( (char*)snapshot38_png,			SNAPSHOT38_PNG_LEN );
//	img57.resetRawData ( (char*)snapshot39_png,			SNAPSHOT39_PNG_LEN );
	img57.resetRawData ( (char*)snapshot40_png,			SNAPSHOT40_PNG_LEN );

	img58.resetRawData ( (char*)snapshot41_png,			SNAPSHOT41_PNG_LEN );
	img59.resetRawData ( (char*)snapshot42_png,			SNAPSHOT42_PNG_LEN );
	img60.resetRawData ( (char*)snapshot43_png,			SNAPSHOT43_PNG_LEN );
	img61.resetRawData ( (char*)snapshot44_png,			SNAPSHOT44_PNG_LEN );
	img62.resetRawData ( (char*)snapshot45_png,			SNAPSHOT45_PNG_LEN );
	img63.resetRawData ( (char*)snapshot46_png,			SNAPSHOT46_PNG_LEN );
	img64.resetRawData ( (char*)snapshot47_png,			SNAPSHOT47_PNG_LEN );
	img65.resetRawData ( (char*)snapshot48_png,			SNAPSHOT48_PNG_LEN );
	img66.resetRawData ( (char*)snapshot49_png,			SNAPSHOT49_PNG_LEN );
	img67.resetRawData ( (char*)snapshot50_png,			SNAPSHOT50_PNG_LEN );

	img68.resetRawData ( (char*)snapshot51_png,			SNAPSHOT51_PNG_LEN );
	img69.resetRawData ( (char*)snapshot52_png,			SNAPSHOT52_PNG_LEN );
	img70.resetRawData ( (char*)snapshot53_png,			SNAPSHOT53_PNG_LEN );
	img71.resetRawData ( (char*)snapshot54_png,			SNAPSHOT54_PNG_LEN );
	img72.resetRawData ( (char*)snapshot55_png,			SNAPSHOT55_PNG_LEN );
	img73.resetRawData ( (char*)snapshot56_png,			SNAPSHOT56_PNG_LEN );
	img74.resetRawData ( (char*)snapshot57_png,			SNAPSHOT57_PNG_LEN );
	img75.resetRawData ( (char*)snapshot58_png,			SNAPSHOT58_PNG_LEN );
	img76.resetRawData ( (char*)snapshot59_png,			SNAPSHOT59_PNG_LEN );
	img77.resetRawData ( (char*)snapshot60_png,			SNAPSHOT60_PNG_LEN );

	img78.resetRawData ( (char*)snapshot61_png,			SNAPSHOT61_PNG_LEN );
	img79.resetRawData ( (char*)snapshot62_png,			SNAPSHOT62_PNG_LEN );
	img80.resetRawData ( (char*)snapshot63_png,			SNAPSHOT63_PNG_LEN );
	img81.resetRawData ( (char*)snapshot64_png,			SNAPSHOT64_PNG_LEN );
	img82.resetRawData ( (char*)snapshot65_png,			SNAPSHOT65_PNG_LEN );
	img83.resetRawData ( (char*)snapshot66_png,			SNAPSHOT66_PNG_LEN );
// ##########################################################################################################################################################
#endif

	DEVIL::hlp_open = false;

}

